package com.benyanyi.bootstrap;

import android.content.Context;
import android.content.Intent;
import android.net.Uri;
import android.os.Build;
import android.provider.Settings;

/**
 * @author DELL
 * @date 2023/2/14 13:34
 * @user yangjiewei
 * @email ben@yanyi.red
 * @overview
 */
public class BootstrapHelper {

    public static void start(Context context) {
        start(context, context.getPackageName());
    }

    public static void start(Context context, String packageName) {
        ShareUtil.getInstance().saveShaString(context, ShareUtil.KEY, packageName);
        if (Build.VERSION.SDK_INT >= Build.VERSION_CODES.M && !Settings.canDrawOverlays(context)) {
            //没有权限，须要申请权限，由于是打开一个受权页面，因此拿不到返回状态的，因此建议是在onResume方法中重新执行一次校验
            Intent intent = new Intent(Settings.ACTION_MANAGE_OVERLAY_PERMISSION);
            intent.setData(Uri.parse("package:" + packageName));
            context.startActivity(intent);
        }
    }

}
